package dk.apaq.framework.criteria;

/**
 *
 * @author michael
 */
public class Criteria {
    
    private final Rule rule;
    private final Limit limit;
    private final Sorter sorter;

    public Criteria() {
        this(null, null, null);
    }
    
    

    public Criteria(Rule rule) {
        this(rule, null, null);
    }
    
    public Criteria(Limit limit) {
        this(null, null, limit);
    }
    
    public Criteria(Sorter sorter) {
        this(null, sorter, null);
    }
    
    public Criteria(Rule rule, Limit limit) {
        this(rule, null, limit);
    }

    public Criteria(Rule rule, Sorter sorter) {
        this(rule, sorter, null);
    }
    
    public Criteria(Sorter sorter, Limit limit) {
        this(null, sorter, limit);
    }

    public Criteria(Rule rule, Sorter sorter, Limit limit) {
        this.rule = rule;
        this.limit = limit;
        this.sorter = sorter;
    }

    public Limit getLimit() {
        return limit;
    }

    public Rule getRule() {
        return rule;
    }

    public Sorter getSorter() {
        return sorter;
    }
    
    
}
